org.apache.lucene.document

## Enum ShapeField.QueryRelation

- java.lang.Object
- - java.lang.Enum<ShapeField.QueryRelation>
  - - org.apache.lucene.document.ShapeField.QueryRelation

All Implemented Interfaces:
  Serializable, Comparable<ShapeField.QueryRelation>

Enclosing class:
  ShapeField

    public static enum ShapeField.QueryRelation
    extends Enum<ShapeField.QueryRelation>

Query Relation Types

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTAINS` used for CONTAINS Queries
`DISJOINT` used for DISJOINT Queries
`INTERSECTS` used for INTERSECT Queries
`WITHIN` used for WITHIN Queries

### Method Summary

All Methods Static Methods Concrete Methods
`static ShapeField.QueryRelation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ShapeField.QueryRelation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INTERSECTS

    public static final ShapeField.QueryRelation INTERSECTS

used for INTERSECT Queries

#### WITHIN

    public static final ShapeField.QueryRelation WITHIN

used for WITHIN Queries

#### DISJOINT

    public static final ShapeField.QueryRelation DISJOINT

used for DISJOINT Queries

#### CONTAINS

    public static final ShapeField.QueryRelation CONTAINS

used for CONTAINS Queries

### Method Detail

#### values

    public static ShapeField.QueryRelation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ShapeField.QueryRelation c : ShapeField.QueryRelation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ShapeField.QueryRelation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null